@charset "utf-8";


/* ======================================================================================================
	CSS reset
====================================================================================================== */
button ,input ,textarea ,select {
	font-size:110%;
	margin:0;
	padding:0.3em;
	font-family:inherit;
	line-height:1.6;
}

::placeholder {
	color:#ccc;
}

dl,dt,dd {
	padding:0;
	margin:0 auto;
}

/* ======================================================================================================
	form
====================================================================================================== */
#webForm {
	scroll-margin-top:10em;
}

.contact-frame {
	padding:1.5em;
	background:rgba(255,255,255,0.6);
	border:1px solid #9c9;
	border-radius:0.5em;
}


#form-table {
	padding:1em 0;
	display:grid;
	grid-template-columns:1fr 2fr;
	gap:1.5em 1em;
}

#form-table dt {
	width:100%;
	text-align:right;
}
#form-table dd {
	width:100%;
	text-align:left;
}

@media screen and (max-width:799px){
	#form-table {
		grid-template-columns:1fr;
		gap:0.5em;
		font-size:95%;
	}
	#form-table dd {
		padding-left:2em;
		padding-bottom:0.5em;
	}
}


/* ====================================================================
	form - optional / required
==================================================================== */
.optional,
.required{
	display:flex;
	justify-content:flex-start;
	align-items:center;
	flex-direction:row-reverse;
}
.optional:before,
.required:before{
	content:attr(data-text);
	margin-left:0.5em;
	padding:0 0.5em 0.1em;
	background:#f00;
	border-radius:0.3em;
	color:#fff;
	font-size:80%;
	font-weight:500;
	line-height:1.6;
}
.optional:before{
	background-color:#06f;
}

@media screen and (max-width:799px){
	.optional,
	.required{
	flex-direction:row;
	}

	.optional:before,
	.required:before{
		margin-right:0.3em;
		padding:0.1em 0.3em 0.2em;
	}
	span.check > label {
		font-size:85%;
	}
}



/* ====================================================================
	form - field
==================================================================== */
input ,textarea {
	width:80%;
	-webkit-appearance:none; 
	appearance:none;
	border-radius:0.3em;
	font-size:90%;
}
select {
	border:2px solid #999;
	border-radius:0.3em;
	font-size:90%;
}
input[type='radio'] ,input[type='checkbox']{
	min-width:auto;
	width:1em;
	height:1em;
	-webkit-appearance:auto; 
	appearance:auto;
}

input:not([type="submit"]){
	border:2px solid #999;
	padding:0.3em 0.5em;
}

.textarea-text{
	padding:2.5em 5em !important;
}

textarea{
	display:block;
	resize:none;
	height:8em;
	padding:0.5em;
	border:2px solid #999;
}

span.check {
	display:flex;
	justify-content:flex-start;
	align-items:center;
}
span.check > label {
	padding-left:0.3em;
}


@media screen and (max-width:799px){
	input ,textarea {
		width:100%;
	}
	input:focus ,textarea:focus{
		border:solid 2px #000000;
		outline:none;
		background-color:#99e5ff;
	}

}



/* ====================================================================
	form - check button
==================================================================== */
span.radio ,
span.check {
	position:relative;
	display:block;
	border:1px solid #9cf;
	border-radius:0.3em;
}
span.radio input ,
span.check input {
	position:absolute;
	top:50%;
	left:0.5em;
	width:1em;
	height:1em;
	transform:translateY(-50%);
	z-index:2;
}
span.radio input + label ,
span.check input + label {
	position:relative;
	padding:0.2em 0.5em 0.2em 1.8em;
	border-radius:0.3em;
	transition:all 0.1s ease;
	-webkit-transition:all 0.1s ease;
	cursor:pointer;
}
span.radio input:checked ,
span.check input:checked {
}
span.radio input:checked + label ,
span.check input:checked + label {
	color:#fff;
	background:#06f;
}

@media screen and (max-width:799px){
	span.radio input + label ,
	span.check input + label {
		display:block;
		line-height:1.5;
	}
}

/* ====================================================================
	form - button
==================================================================== */
.formButton {
	padding-top:1em;
}
.formButtonFrame {
	display:flex;
	gap:2em;
}
.formButtonFrame > .btn {
	flex-grow:1;
}


/* ====================================================================
	form - error
==================================================================== */
.error {
	margin:0.3em 0 0.5em;
	display:block;
	padding:0.2em 2em;
	color:#f00;
	border:3px solid #f00;
	background:rgba(255,255,255,0.6);
	border-radius:0.3em;
	font-size:90%;
	font-weight:bold;
}


/* ====================================================================
	form - confirm
==================================================================== */
.status2 #form-table {
	line-height:1.4;
}

@media screen and (max-width:799px){

}


/* ====================================================================
	form - customize
==================================================================== */
.form-7 .field-group.flex {
	flex-direction:column;
	align-items:flex-start;
}

.form-12 {
	position:absolute;
	text-indent:-9999px;
	width:1px !important;
	height:1px !important;
	overflow:hidden;
}

.field-group.flex {
	display:flex;
	flex-wrap:wrap;
	gap:0.5em 1em;
}


.datePicker {
	position:relative;
}
.datePicker > input {
	width:14em;
}
.datePicker:after {
	content:"";
	position:absolute;
	top:50%;
	right:0.5em;
	display:block;
	width:1.6em;
	aspect-ratio:1/1;
	background:url(../images/icons/icon_calendar.png) 50% 50% no-repeat;
	background-size:100%;
	transform:translateY(-50%);
	opacity:0.6;
}

[data-handler="today"]{
	display:none;
}
.form-comment {
	display:block;
	font-size:80%;
	color:#777;
}


